## org.apache.commons.configuration.tree.xpath
Class ConfigurationNodePointerFactory

    java.lang.Object
      org.apache.commons.configuration.tree.xpath.ConfigurationNodePointerFactory

All Implemented Interfaces:
  org.apache.commons.jxpath.ri.model.NodePointerFactory

    public class ConfigurationNodePointerFactory

extends Object
implements org.apache.commons.jxpath.ri.model.NodePointerFactory

Implementation of the `NodePointerFactory` interface for configuration nodes.

Since:
  1.3
Version:
  $Id: ConfigurationNodePointerFactory.java 1206498 2011-11-26 17:01:58Z oheger $
Author:
  Commons Configuration team

Field Summary
`static int` `CONFIGURATION_NODE_POINTER_FACTORY_ORDER` Constant for the order of this factory.

Constructor Summary
`ConfigurationNodePointerFactory()`

Method Summary
`org.apache.commons.jxpath.ri.model.NodePointer` `createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object bean)` Creates a node pointer for the specified bean.
`org.apache.commons.jxpath.ri.model.NodePointer` `createNodePointer(org.apache.commons.jxpath.ri.QName name, Object bean, Locale locale)` Creates a node pointer for the specified bean.
`int` `getOrder()` Returns the order of this factory between other factories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIGURATION_NODE_POINTER_FACTORY_ORDER

    public static final int CONFIGURATION_NODE_POINTER_FACTORY_ORDER

  Constant for the order of this factory.

  See Also:
    Constant Field Values

Constructor Detail

### ConfigurationNodePointerFactory

    public ConfigurationNodePointerFactory()

Method Detail

### getOrder

    public int getOrder()

  Returns the order of this factory between other factories.

  Specified by:
    `getOrder` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`
  Returns:
    this order's factory

### createNodePointer

    public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.QName name,
                                                                            Object bean,
                                                                            Locale locale)

  Creates a node pointer for the specified bean. If the bean is a configuration node, a corresponding pointer is returned.

  Specified by:
    `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`
  Parameters:
    `name` - the name of the node
    `bean` - the bean
    `locale` - the locale
  Returns:
    a pointer for a configuration node if the bean is such a node

### createNodePointer

    public org.apache.commons.jxpath.ri.model.NodePointer createNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                                                            org.apache.commons.jxpath.ri.QName name,
                                                                            Object bean)

  Creates a node pointer for the specified bean. If the bean is a configuration node, a corresponding pointer is returned.

  Specified by:
    `createNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodePointerFactory`
  Parameters:
    `parent` - the parent node
    `name` - the name
    `bean` - the bean
  Returns:
    a pointer for a configuration node if the bean is such a node

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.